Akeneo\Connectivity\Connection\Domain\Apps\DTO\AccessTokenRequest:
    constraints:
        - Akeneo\Connectivity\Connection\Infrastructure\Apps\Validation\CodeChallengeMustBeValid: ~
    properties:
        clientId:
            - NotBlank:
                message: 'invalid_request'
            - Akeneo\Connectivity\Connection\Infrastructure\Apps\Validation\ClientIdMustBeValid:
                message: 'invalid_client'
        authorizationCode:
            - NotBlank:
                message: 'invalid_request'
            - Akeneo\Connectivity\Connection\Infrastructure\Apps\Validation\AuthorizationCodeMustBeValid:
                message: 'invalid_grant'
        grantType:
            - IdenticalTo:
                value: 'authorization_code'
                message: 'unsupported_grant_type'
        codeIdentifier:
            - NotBlank:
                message: 'invalid_request'
        codeChallenge:
            - NotBlank:
                message: 'invalid_request'
